## ocaml-alsa 0.2.1

=== examples/Makefile ===
SOURCES = recorder.ml
RESULT = recorder
INCDIRS = ../src
LIBS = alsa

all: nc

-include OCamlMakefile

=== debian/changelog ===
ocaml-alsa (0.2.1-1build4) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:16:24 +0000

ocaml-alsa (0.2.1-1build3) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 01:02:05 +0000

ocaml-alsa (0.2.1-1build2) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:44:09 +0000

ocaml-alsa (0.2.1-1build1) oneiric; urgency=low

  * Rebuild to pick up ocaml fixes on armel.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 24 Aug 2011 16:27:01 -0600

ocaml-alsa (0.2.1-1) unstable; urgency=low

  * New upstream release. 
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bumped standards version to 3.9.2

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 May 2011 16:33:00 -0500

ocaml-alsa (0.2.0-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 03 Mar 2011 13:20:48 -0600

ocaml-alsa (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental now that squeeze is frozen.
  * Bumped standards version to 3.9.1 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 Aug 2010 13:39:57 -0500

ocaml-alsa (0.1.4-2) unstable; urgency=low

  * Use new automatic dependency system. 
  * Fixed Vcs-* fields.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Oct 2009 00:34:14 -0500

ocaml-alsa (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Bumped standards version to 3.8.3
  * Changed section to ocaml.
  * Clean generated file when calling debian/rules clean

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 11 Oct 2009 23:59:26 -0500

ocaml-alsa (0.1.3-3) unstable; urgency=low

  * Switch packaging to git.
  * Use dh-ocaml.
  * Update compat to 7.

 -- Samuel Mimram <smimram@debian.org>  Wed, 25 Feb 2009 09:35:53 +0100

ocaml-alsa (0.1.3-2) experimental; urgency=low

  * New upload to experimental to build against ocaml 3.11.
  * Versioned ocaml-related build-dep to avoid confusion. 
  * Switched to cdbs
  * Changed maintainer to the debian ocaml team.
  * Added dh-ocaml to build-deps.

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 13 Dec 2008 22:29:42 +0100

ocaml-alsa (0.1.3-1) unstable; urgency=low

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

  [ Romain Beauxis ]
  * New upstream release, now installs .cmx file
  * Updated standards to 3.7.3
  * Changed maintainer and uploaders to Liquidsoap Packaging Team
  * Changed doc-bace section to new name

  [ Julien Cristau ]
  * Fix FTBFS with new dpkg-dev by setting CFLAGS correctly in
    debian/rules (closes: 476037)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 14 Apr 2008 21:13:15 +0100

ocaml-alsa (0.1.2-2) unstable; urgency=low

  * Upload to unstable.

 -- Samuel Mimram <smimram@debian.org>  Fri, 16 Nov 2007 19:31:21 +0000

ocaml-alsa (0.1.2-1) experimental; urgency=low

  * New upstream release.

 -- Samuel Mimram <smimram@debian.org>  Mon, 12 Nov 2007 23:24:45 +0000

ocaml-alsa (0.1.1-2) unstable; urgency=low

  * Rebuild with OCaml 3.10.

 -- Samuel Mimram <smimram@debian.org>  Sat, 08 Sep 2007 00:38:03 +0200

ocaml-alsa (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * It now correctly installs on non-native ocaml archs, closes: #423842.

 -- Samuel Mimram <smimram@debian.org>  Tue, 22 May 2007 22:20:08 +0200

ocaml-alsa (0.1.0-1) unstable; urgency=low

  * Initial release, closes: #422867.

 -- Samuel Mimram <smimram@debian.org>  Wed, 11 Apr 2007 16:59:56 +0200

=== debian/control ===
Source: ocaml-alsa
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 7.0.1), ocaml-nox, dh-ocaml (>= 0.9), pkg-config, libasound2-dev, ocaml-findlib (>= 1.2.4)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-alsa.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-alsa.git

Package: libalsa-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains only the shared runtime stub libraries.

Package: libalsa-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, libasound2-dev, libalsa-ocaml (= ${binary:Version}), 
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains all the development stuff you need to use ocaml-alsa
 in your programs.

=== debian/watch ===
version=3

http://sf.net/savonet/ocaml-alsa-([0-9\.]*)\.tar\.gz debian uupdate

## ocaml-alsa 0.2.3

=== debian/changelog ===
ocaml-alsa (0.2.3-1ubuntu3) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:27:43 +0000

ocaml-alsa (0.2.3-1ubuntu2) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 21:58:19 +0200

ocaml-alsa (0.2.3-1ubuntu1) artful; urgency=medium

  * Repack due to wrong tarball

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2017 12:18:55 +0200

ocaml-alsa (0.2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 23:28:17 +0200

ocaml-alsa (0.2.1-2) unstable; urgency=low

  * Team upload
  * Set Architecture to linux-any
  * Add ocamlbuild to Build-Depends
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 14:58:57 +0200

=== debian/control ===
Source: ocaml-alsa
Section: ocaml
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.53), debhelper (>= 10), ocaml-nox, dh-ocaml (>= 0.9), pkg-config, libasound2-dev, ocaml-findlib (>= 1.2.4), ocamlbuild
Standards-Version: 3.9.2
Homepage: https://github.com/savonet/ocaml-alsa
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-alsa.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-alsa.git

Package: libalsa-ocaml
Architecture: linux-any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains only the shared runtime stub libraries.

Package: libalsa-ocaml-dev
Architecture: linux-any
Depends: ${ocaml:Depends}, libasound2-dev, libalsa-ocaml (= ${binary:Version}), 
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains all the development stuff you need to use ocaml-alsa
 in your programs.

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-alsa/releases .*/ocaml-alsa-(.*)\.tar\.gz

## ocaml-alsa 0.3.0

=== Makefile ===
all:
	@dune build

clean:
	@dune clean

=== src/Makefile ===
all clean:
	@$(MAKE) -C .. $@

=== examples/midi-output/Makefile ===
all: build

test: build
	@OCAMLRUNPARAM=b dune exec ./output.exe

build:
	@dune build

clean:
	@dune clean

=== examples/sequencer/Makefile ===
all: build

test: build
	@dune exec ./sequencer.exe

build:
	@dune build

clean:
	@dune clean

=== examples/sine/Makefile ===
all: build

build:
	@dune build

test: build
	@export OCAMLRUNPARAM=b && dune exec ./sine.exe

=== debian/changelog ===
ocaml-alsa (0.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders
  * Update Vcs-* to point to salsa
  * Update debian/watch
  * Bump debhelper compat level to 13 and stop using cdbs
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Tue, 25 Aug 2020 11:21:22 +0200

=== debian/control ===
Source: ocaml-alsa
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml-nox,
 ocaml-dune,
 libdune-ocaml-dev,
 dh-ocaml,
 pkg-config,
 libasound2-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/savonet/ocaml-alsa
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-alsa.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-alsa

Package: libalsa-ocaml
Architecture: linux-any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Breaks: libalsa-ocaml-dev (<< 0.3.0)
Replaces: libalsa-ocaml-dev (<< 0.3.0)
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains only the shared runtime stub libraries.

Package: libalsa-ocaml-dev
Architecture: linux-any
Depends: ${ocaml:Depends}, libasound2-dev, libalsa-ocaml (= ${binary:Version}),
         ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml bindings for the ALSA library
 This OCaml library interfaces the ALSA library libasound to access audio
 devices.
 .
 This package contains all the development stuff you need to use ocaml-alsa
 in your programs.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

DESTDIR = $(CURDIR)/debian/tmp

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p alsa

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)

override_dh_auto_test:
	dune runtest -p alsa
